* E Posta Adresiniz:
* Kodu Girin:

> 1 <
İleti Yazar
16.10.2017 10:18
85604    
mete_tuncay

[2] Girişimci

Online Durumu

11 ileti
Architecture
Lefka

Merhaba arkadaşlar,

Çiziminizde yaklaşık 1000 adet üçgen ve değişik formlardan oluşan objeler olduğunu düşünün. Bunların her birini içeri 6mm offset yapmak istiyorum, fakat her birini tek tek girmem gerekiyor. Bunları toplu halde offset yapmak mümkün müdür?


16.10.2017 11:48
85607    
alumina

[70] Editör

Online Durumu

613 ileti
Insaat Muhendisi
Istanbul

Alıntı
mete_tuncay :

Secilen nesneleri girilen deger kadar (negatifse iceri, pozitifse disari) ofsetler.
Kod:

(defun c:ofs (/ dc sl ds sc m) (vl-load-com)
  (if (and (ssget) (setq dc (vlax-get (vlax-get-acad-object) 'activedocument)
        sl (vla-get-activeselectionset dc) ds (getdist "\nOffset dist:")))
    (progn (initget "y n")
      (if (setq sc (getkword "\nDelete object(s) [Yes/No] <No>?:"))
        (progn (vla-startundomark dc)
          (vlax-for m sl (vla-offset m ds) (if (= sc "y") (vla-delete m)))
          (vla-endundomark dc) (vla-delete sl)
        )
      )
    )
  ) (prin1)
)

16.10.2017 12:21
85608    
mete_tuncay

[2] Girişimci

Online Durumu

11 ileti
Architecture
Lefka

Çok çok teşekkür ederim,

13.03.2018 17:37
86141    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

alumina


Kod:

(initget "y n")
(setq sc (cond ((getkword "\nDelete object(s) [Yes/No] <No>?:")) ("No")))

> 1 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 243 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam